import { SimpleLocalIntegration } from '../../core/index.js';
import { HorizonConfigFlow } from './horizon.classes.configflow.js';
import { createHorizonDiscoveryDescriptor } from './horizon.discovery.js';
import type { IHorizonConfig } from './horizon.types.js';
import { horizonDomain, horizonProfile } from './horizon.types.js';

export class HorizonIntegration extends SimpleLocalIntegration<IHorizonConfig> {
  public readonly domain = horizonDomain;
  public readonly discoveryDescriptor = createHorizonDiscoveryDescriptor();
  public readonly configFlow = new HorizonConfigFlow();

  constructor() {
    super(horizonProfile);
  }
}

export class HomeAssistantHorizonIntegration extends HorizonIntegration {}
